%define debug_package %{nil}
%define vmaj    %(echo %{version}|cut -d. -f-2)

Name:           onboard
Version:        0.99.0
Release:        %mkrel 10
Summary:        On-screen keyboard with spelling suggestions, auto-show and more

Group:          Accessibility
License:        GPLv2+
URL:            https://launchpad.net/onboard/
Source0:        http://launchpad.net/%{name}/%{vmaj}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:         onboard-0.99.0-mga-upstream_1617_StatusIconProvider.patch
Patch1:         onboard-0.99.0-mga-upstream_1618_input-event-source.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  gnome-python-gconf
BuildRequires:  intltool
BuildRequires:  libxi-devel
BuildRequires:  pkgconfig(dconf)
BuildRequires:  pkgconfig(gdk-3.0)
BuildRequires:  pkgconfig(hunspell)
BuildRequires:  pkgconfig(libcanberra)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  python3-devel
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-setuptools

Requires:       at-spi2-atk
Requires:       at-spi2-core-qt
Requires:       fonts-ttf-dejavu
Requires:       fonts-ttf-mageia
Requires:       hicolor-icon-theme
Requires:       mousetweaks
Requires:       python3-cairo
Requires:       python3-dbus 
Requires:       python3-gobject3
Requires:       qtatspi-plugin
Requires:       iso-codes

%description
An on-screen keyboard useful on tablet PCs or for mobility impaired users, or
just really handy when the keyboard is out of reach.
Onboard can store text snippets for one click typing and can also suggest
(and learn) words to speed text entry.
Many theme options are available and each of these may be customized.
The keyboard may be configured to automatically show itself when text input
is required.

%prep
%setup -q
%patch0 -p0
%patch1 -p0

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --root=%{buildroot}

# Use example default configuration file
mkdir -p %{buildroot}%{_sysconfdir}/%{name}
cp %{buildroot}%{_datadir}/%{name}/%{name}-defaults.conf.example %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Swich to full keyboard
sed -i 's/#layout=Full Keyboard/layout=Full Keyboard/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
sed -i 's/layout=Compact/#layout=Compact/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Use Mageia superkey label
sed -i 's/superkey-label=.*$/superkey-label=/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Switch font to DejaVu-Sans
sed -i 's/^key-label-font=.*$/key-label-font=DejaVu Sans/' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Configuration change for patch0 (StatusIconProvider.patch)
sed -i '/\[main\]/a status-icon-provider=GtkStatusIcon' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Enable icon-palette for gnome3 or on closing keyboard there is no visible activation method
sed -i '/\[icon-palette\]/a in-use=True' %{buildroot}%{_sysconfdir}/%{name}/%{name}-defaults.conf
# Remove Ubuntu icons
rm -rf %{buildroot}%{_iconsdir}/ubuntu*
# Desktop files
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
    
desktop-file-install                                    \
    --remove-category="X-GNOME-PersonalSettings"        \
    --remove-category="Settings"                        \
    --add-category="Utility;"                           \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}-settings.desktop

mkdir -p %{buildroot}%{_datadir}/locale
cp -a build/mo/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}-settings
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/dbus-1/services/org.%{name}-prediction.service
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/icons/HighContrast/scalable/apps/%{name}.svg
%{_datadir}/%{name}/
%{_datadir}/sounds/freedesktop/stereo/%{name}-key-feedback.oga 
%doc AUTHORS COPYING NEWS README docs/
%{python3_sitearch}/%{name}*.egg-info
%{python3_sitearch}/Onboard/
%{_sysconfdir}/xdg/autostart/%{name}-autostart.desktop
%config(noreplace) %{_sysconfdir}/%{name}/%{name}-defaults.conf


%changelog
* Wed Dec 04 2013 barjac <barjac> 0.99.0-10.mga4
+ Revision: 554908
- add require iso-codes

* Tue Oct 22 2013 umeabot <umeabot> 0.99.0-9.mga4
+ Revision: 542834
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.99.0-8.mga4
+ Revision: 497965
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 13 2013 barjac <barjac> 0.99.0-7.mga4
+ Revision: 496182
- changed require

* Thu Oct 10 2013 barjac <barjac> 0.99.0-6.mga4
+ Revision: 494444
- add Requires: at-spi2-core

* Sun Oct 06 2013 barjac <barjac> 0.99.0-5.mga4
+ Revision: 492330
- use mageia logo for superkey
- updated requires
- improved description

* Wed Oct 02 2013 barjac <barjac> 0.99.0-4.mga4
+ Revision: 490564
- enable floating icon by default - fixes lack of systray icon in gnome3
- remove apparently un-needed typelib Requires

* Tue Oct 01 2013 barjac <barjac> 0.99.0-3.mga4
+ Revision: 490165
- upstream patch to fix input-event-source bug
- removed useless BuildRequire
- added Requires suggested by upstream
- switched default layout, removed Ubuntu superkey, changed font to DejaVu
- removed some Ubuntu icons

* Sun Sep 29 2013 barjac <barjac> 0.99.0-2.mga4
+ Revision: 489231
- remove noarch

* Sun Sep 29 2013 barjac <barjac> 0.99.0-1.mga4
+ Revision: 488688
- new version using python3
- patch from upstream bzr to make left click on tray icon activate keyboard
- changed build requires
- removed obsolete patch and tidied spec

* Sun Jan 13 2013 umeabot <umeabot> 0.95.2-2.mga3
+ Revision: 361857
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 23 2012 malo <malo> 0.95.2-1.mga2
+ Revision: 232949
- Update to the 0.95.2 version

* Wed Mar 07 2012 malo <malo> 0.94.0-1.mga2
+ Revision: 220704
- spec clean-up after import from Mandriva
- imported package onboard


* Fri Jan 07 2011 Antoine Ginies <aginies@mandriva.com> 0.94.0-1mdv2011.0
+ Revision: 629470
- fix group
- import onboard

